VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KeyboardEvent Struct Reference
New classes » Version 4.11

KeyboardEvent. More...

`#include <events.h>`

Inheritance diagram for KeyboardEvent:

## Public Member Functions
| KeyboardEvent (EventType t=EventType::KeyDown)
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
char32_t | character {0}
| UTF-32 character.
VirtualKey | virt {VirtualKey::None}
| virtual key
bool | isRepeat {false}
| indicates for a key down event if this is a repeated key down
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Detailed Description

KeyboardEvent.

## Constructor & Destructor Documentation

## ◆ KeyboardEvent()

KeyboardEvent | ( | EventType | t = EventType::KeyDown | ) |
| inline

## Member Data Documentation

## ◆ character

char32_t character {0}

UTF-32 character.

## ◆ isRepeat

bool isRepeat {false}

indicates for a key down event if this is a repeated key down

## ◆ virt

VirtualKey virt {VirtualKey::None}

virtual key

The documentation for this struct was generated from the following file:

- events.h